Package twisted :: Package im :: Module basesupport :: Class AbstractClientMixin |
[show private | hide private]
[frames | no frames]

## Class AbstractClientMixin

Known Subclasses:
  `IRCProto`, `TwistedWordsClient`, `TOCProto`

Designed to be mixed in to a Protocol implementing class.

Inherit from me first.

Method Summary
| `__init__(self, account, chatui, logonDeferred)`
| `connectionLost(self, reason)`
| `connectionMade(self)`
| ``unregisterAsAccountClient`(self)` Tell the chat UI that I have `signed off'.

Instance Variable Summary
| `_logonDeferred` - Fired when I am done logging in.

Method Details

### unregisterAsAccountClient(self) Tell the chat UI that I have `signed off'.

Instance Variable Details

### _logonDeferred Fired when I am done logging in.

Generated by Epydoc 1.1 on Thu May 8 13:18:22 2003 | http://epydoc.sf.net